Update conversation
import requests
url = "https://api.datagrid.com/v1/conversations/{conversation_id}"
payload = {
"name": "<string>",
"agent_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', agent_ids: ['<string>']})
};
fetch('https://api.datagrid.com/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.datagrid.com/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"agent_ids": [
"<string>"
]
}
'{
"object": "conversation",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"agent_ids": [
"<string>"
],
"participated_agent_ids": [
"<string>"
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Conversations
Update conversation
Update a conversation’s properties, such as assigned agents or name.
PATCH
/
conversations
/
{conversation_id}
Update conversation
import requests
url = "https://api.datagrid.com/v1/conversations/{conversation_id}"
payload = {
"name": "<string>",
"agent_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', agent_ids: ['<string>']})
};
fetch('https://api.datagrid.com/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.datagrid.com/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"agent_ids": [
"<string>"
]
}
'{
"object": "conversation",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"agent_ids": [
"<string>"
],
"participated_agent_ids": [
"<string>"
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the conversation to update.
Body
application/json
Response
Updated conversation
The conversation object represents a conversation with an AI agent.
The object type, which is always conversation.
Available options:
conversation The conversation identifier, which can be referenced in the API endpoints.
The ISO string for when the conversation was created.
The ISO string for when the conversation was last updated.
The name of the conversation.
Array of agent IDs currently assigned to this conversation.
Array of agent IDs that have previously responded in this conversation. This list only grows and is never cleared when agents are reassigned.